# std::pmr::new_delete_resource

From cppreference.com
< cpp‎ | memory

Defined in header `<memory_resource>` |  |
std::pmr::memory_resource* new_delete_resource(); |  | (since C++17)

Returns a pointer to a `memory_resource` that uses the global operator new and operator delete to allocate memory.

### Return value

Returns a pointer `p` to a static storage duration object of a type derived from std::pmr::memory_resource, with the following properties:

- its `allocate()` function uses `::operator new` to allocate memory;
- its `deallocate()` function uses `::operator delete` to deallocate memory;
- for any `memory_resource` `r`, `p->is_equal(r)` returns `&r == p`.

The same value is returned every time this function is called.

### Exceptions

`noexcept` specification:
noexcept
Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/memory/new_delete_resource&oldid=91547"
Category:

- unconditionally noexcept

Hidden categories:

- Pages with unreviewed unconditional noexcept template
- Pages with unreviewed noexcept template